aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGreg Lewis <glewis@FreeBSD.org>2004-02-03 06:42:31 +0000
committerGreg Lewis <glewis@FreeBSD.org>2004-02-03 06:42:31 +0000
commitb62a486d8fe62e7cf3ea91a152581b6e1a8b44b4 (patch)
tree46c8b0c4e996080344b79564802c438e08f22b1a
parentd3ae37dc2662d4e1b0480699135d7c1302245f1a (diff)
downloadports-b62a486d8fe62e7cf3ea91a152581b6e1a8b44b4.tar.gz
ports-b62a486d8fe62e7cf3ea91a152581b6e1a8b44b4.zip
. Add $FreeBSD$
. Indent . Split into pre-install and post-install stages. Pre-install: Add the user and group. Post-install: Create the log and run directories.
Notes
Notes: svn path=/head/; revision=99864
-rw-r--r--security/clamav/pkg-install61
1 files changed, 34 insertions, 27 deletions
diff --git a/security/clamav/pkg-install b/security/clamav/pkg-install
index 151d27b42fd9..c9f494173ece 100644
--- a/security/clamav/pkg-install
+++ b/security/clamav/pkg-install
@@ -1,4 +1,5 @@
#!/bin/sh
+# $FreeBSD$
PREFIX=${PKG_PREFIX:-%%PREFIX%%}
@@ -10,34 +11,40 @@ CLAMLOG=/var/log/clamav
if [ "$2" = "PRE-INSTALL" ]; then
-if ! pw groupshow "$GROUP" 2>/dev/null 1>&2; then
- if pw groupadd $GROUP; then
- echo "=> Added group \"$GROUP\"."
- else
- echo "=> Adding group \"$GROUP\" failed..."
- exit 1
- fi
-fi
+ if ! pw groupshow "$GROUP" 2>/dev/null 1>&2; then
+ if pw groupadd $GROUP; then
+ echo "=> Added group \"$GROUP\"."
+ else
+ echo "=> Adding group \"$GROUP\" failed..."
+ exit 1
+ fi
+ fi
+
+ if ! pw usershow "$USER" 2>/dev/null 1>&2; then
+ if pw useradd $USER -g $GROUP -h - \
+ -s "/sbin/nologin" -d "/nonexistent" \
+ -c "Clam Antivirus"; \
+ then
+ pw groupmod mail -m $USER
+ echo "=> Added user \"$USER\"."
+ else
+ echo "=> Adding user \"$USER\" failed..."
+ exit 1
+ fi
+ fi
+
+elif [ "$2" = "POST-INSTALL" ]; then
+
+ if [ ! -d "${CLAMRUN}" ]; then
+ mkdir -p "$CLAMRUN" || exit 1
+ chown "$USER:$GROUP" "$CLAMRUN" || exit 1
+ fi
+
+ if [ ! -d "${CLAMLOG}" ]; then
+ mkdir -p "$CLAMLOG" || exit 1
+ chown "$USER:$GROUP" "$CLAMLOG" || exit 1
+ fi
-if ! pw usershow "$USER" 2>/dev/null 1>&2; then
- if pw useradd $USER -g $GROUP -h - \
- -s "/sbin/nologin" -d "/nonexistent" \
- -c "Clam Antivirus"; \
- then
- pw groupmod mail -m $USER
- echo "=> Added user \"$USER\"."
- else
- echo "=> Adding user \"$USER\" failed..."
- exit 1
- fi
fi
-mkdir -p "$CLAMRUN"
-chown "$USER:$GROUP" "$CLAMRUN"
-
-mkdir -p "$CLAMLOG"
-chown "$USER:$GROUP" "$CLAMLOG"
-
-fi # PRE-INSTALL
-
exit 0